import "../../../../../../node_modules/element-plus/es/index.mjs";
/* empty css                                                                */
/* empty css                                                                        */
import { createElementBlock, openBlock, Fragment, createVNode, withCtx, createElementVNode } from "vue";
import _sfc_main$1 from "../../../../components/DataSourceSelect.vue.mjs";
import FieldMapping from "../../../../components/FieldMapping.vue2.mjs";
/* empty css                  */
import _export_sfc from "../../../../../../_virtual/_plugin-vue_export-helper.mjs";
import { ElFormItem } from "../../../../../../node_modules/element-plus/es/components/form/index.mjs";
const _hoisted_1 = { class: "desc-content" };
const _sfc_main = {
  __name: "FormSetValue",
  props: {
    formData: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_form_item = ElFormItem;
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(_component_el_form_item, { label: "选择数据源" }, {
          default: withCtx(() => [
            createVNode(_sfc_main$1, {
              modelValue: __props.formData.dataSourceId,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => __props.formData.dataSourceId = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "字段映射" }, {
          default: withCtx(() => [
            createElementVNode("div", _hoisted_1, [
              _cache[2] || (_cache[2] = createElementVNode("div", { class: "condition-desc" }, " 当返回的字段与表单字段不一致时，可通过此配置进行映射。 ", -1)),
              createVNode(FieldMapping, {
                modelValue: __props.formData.fieldMapping,
                "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => __props.formData.fieldMapping = $event)
              }, null, 8, ["modelValue"])
            ])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
const FormSetValue = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-52671c1b"]]);
export {
  FormSetValue as default
};
